function AISMN_DrunkIdle::OnEnter(%this,%obj)
{
   %idle = RandomNumber(0,3);
   if(0 == %idle)
      GetThisObject(%obj).playThread(0,"drunksway");
   else if(1 == %idle)
      GetThisObject(%obj).playThread(0,"drunkswig");
   return;
}

function AISMN_DrunkIdle::OnExit(%this,%obj)
{
   //GetThisObject(%obj).playThread( 0, "drunkroot");
   return;
}

function AISMN_DrunkIdle::Update(%this,%obj)
{   
   if(TimeInNode(%obj) < 3)
      ReturnValue(%obj,-1);
   else
      ReturnValue(%obj,0);
   return;
}